Subject: Re: Do I have to mount ClearCase's view ?
From: [email-masked] (Laurent Charles)

21 Oct 1998 06:15:50 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked], [email-masked]

In case this comes to be useful for folks who use ClearCase, and may
give a hint to Alexei...

[email-masked] wrote:
>     I have problem when I use clearcase's view.

We use clearcase with success following a few simple rules.

1) The vobs are all in /vob/<vobname>
2) Through views, the vobs are accessible either with
'/view/<viewname>/vob/<vobname>' or 'vob/<vobname>' when 'setview
<viewname> is on'
3) Everyone's views are mapped to a drive letter on PC (say V:)
4) This drive letter is then cygwin-mounted as
'/view/<viewname>/vob/<vobname>' and '/vob/<vobname>'

The normal usage of the vobs is to use setview. Therefore on both win32
and unix hosts the logical filesystem is the same.
We run exactly the same scripts, make process and validation process on
unix and win32 hosts.
It's a bit slow on PCs but it works without changing a line of source.

NB: The cleartool commands are implemented on the win32 host with a
short 'ct' script which calls a remote 'ct' on a UNIX workstation, which
then does the job.

> There are a lot of sources under ClearCase and I must
> create loadable image using make utility. I have my
> view and work with it as with disk. I implement next string :
> 
>     A := //Y/aaaa/bbbbb
> 
> where //Y - my view mapped to disk Y:.
>       /aaaa/bbbbb - dir. in the view.
> 
> When I used this var. in my makefile make did not
> do cd command. I replaced A to Y:/aaaa/bbbbb last
> error has disappeared but next command have not
> worked :
> 
>     include $(A)/sss/ddd
> 
> I do not know why it takes place. May be I have to mount
> this view( disk ) using mount command ? May be anybody
> had similar situation ?
You may solve that using mounted dir.

--Laurent
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".